Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# osclconfig_check.h

Go to the documentation of this file.

    00001
    00002 #ifndef OSCLCONFIG_CHECK_H_INCLUDED
    00003 #define OSCLCONFIG_CHECK_H_INCLUDED
    00004
    00014 typedef int8 __int8__check__;
    00015 typedef uint8 __uint8__check__;
    00016 typedef int16 __int16__check__;
    00017 typedef uint16 __uint16__check__;
    00018 typedef int32 __int32__check__;
    00019 typedef uint32 __uint32__check__;
    00020
    00026 #ifndef OSCL_ASSERT_ALWAYS
    00027 #error "ERROR: OSCL_ASSERT_ALWAYS has to be defined to either 1 or 0."
    00028 #endif
    00029
    00030
    00036 #ifndef OSCL_DISABLE_INLINES
    00037 #error "ERROR: OSCL_DISABLE_INLINES has to be defined to either 1 or 0."
    00038 #endif
    00039
    00045 #ifndef OSCL_HAS_ANSI_STDLIB_SUPPORT
    00046 #error "ERROR: OSCL_HAS_ANSI_STDLIB_SUPPORT has to be defined to either 1 or 0."
    00047 #endif
    00048
    00054 #ifndef OSCL_HAS_ANSI_STDIO_SUPPORT
    00055 #error "ERROR: OSCL_HAS_ANSI_STDIO_SUPPORT has to be defined to either 1 or 0."
    00056 #endif
    00057
    00063 #ifndef OSCL_HAS_ANSI_STRING_SUPPORT
    00064 #error "ERROR: OSCL_HAS_ANSI_STRING_SUPPORT has to be defined to either 1 or 0."
    00065 #endif
    00066
    00072 #ifndef OSCL_HAS_UNICODE_SUPPORT
    00073 #error "ERROR: OSCL_HAS_UNICODE_SUPPORT has to be defined to either 1 or 0."
    00074 #endif
    00075
    00082 #ifndef _STRLIT
    00083 #error "ERROR: _STRLIT has to be defined."
    00084 #endif
    00085
    00092 #ifndef _STRLIT_CHAR
    00093 #error "ERROR: _STRLIT_CHAR has to be defined."
    00094 #endif
    00095
    00103 #if (OSCL_HAS_UNICODE_SUPPORT) && !defined(_STRLIT_WCHAR)
    00104 #error "ERROR: _STRLIT_WCHAR has to be defined"
    00105 #endif
    00106
    00113 #if (OSCL_HAS_UNICODE_SUPPORT) && !defined(OSCL_NATIVE_WCHAR_TYPE)
    00114 #error "ERROR: OSCL_NATIVE_WCHAR_TYPE has to be defined."
    00115 #endif
    00116
    00122 #ifndef OSCL_HAS_MSWIN_SUPPORT
    00123 #error "ERROR: OSCL_HAS_MSWIN_SUPPORT has to be defined to either 1 or 0"
    00124 #endif
    00125
    00131 #ifndef OSCL_HAS_MSWIN_TIME_SUPPORT
    00132 #error "ERROR: OSCL_HAS_MSWIN_TIME_SUPPORT has to be defined to either 1 or 0"
    00133 #endif
    00134
    00140 #ifndef OSCL_HAS_MSWIN_PARTIAL_SUPPORT
    00141 #error "ERROR: OSCL_HAS_MSWIN_PARTIAL_SUPPORT has to be defined to either 1 or 0"
    00142 #endif
    00143
    00149 #ifndef OSCL_HAS_UNIX_SUPPORT
    00150 #error "ERROR: OSCL_HAS_UNIX_SUPPORT has to be defined to either 1 or 0."
    00151 #endif
    00152
    00158 #ifndef OSCL_HAS_SYMBIAN_SUPPORT
    00159 #error "ERROR: OSCL_HAS_SYMBIAN_SUPPORT has to be defined to either 1 or 0"
    00160 #endif
    00161
    00167 #ifndef OSCL_INTEGERS_WORD_ALIGNED
    00168 #error "ERROR: OSCL_INTEGERS_WORD_ALIGNED has to be defined to either 1 or 0."
    00169 #endif
    00170
    00176 #ifndef OSCL_BYTE_ORDER_BIG_ENDIAN
    00177 #error "ERROR: OSCL_BYTE_ORDER_BIG_ENDIAN has to be defined to either 1 or 0."
    00178 #endif
    00179
    00185 #ifndef OSCL_BYTE_ORDER_LITTLE_ENDIAN
    00186 #error "ERROR: OSCL_BYTE_ORDER_LITTLE_ENDIAN has to be defined to either 1 or 0."
    00187 #endif
    00188
    00193 #if !(OSCL_BYTE_ORDER_BIG_ENDIAN) && !(OSCL_BYTE_ORDER_LITTLE_ENDIAN)
    00194 #error "ERROR: either OSCL_BYTE_ORDER_LITTLE_ENDIAN or else OSCL_BYTE_ORDER_BIG_ENDIAN must be 1."
    00195 #endif
    00196 #if (OSCL_BYTE_ORDER_BIG_ENDIAN) && (OSCL_BYTE_ORDER_LITTLE_ENDIAN)
    00197 #error "ERROR: either OSCL_BYTE_ORDER_LITTLE_ENDIAN or else OSCL_BYTE_ORDER_BIG_ENDIAN must be 1."
    00198 #endif
    00199
    00205 #ifndef OSCL_HAS_GLOBAL_VARIABLE_SUPPORT
    00206 #error "ERROR: OSCL_HAS_GLOBAL_VARIABLE_SUPPORT has to be defined to either 1 or 0."
    00207 #endif
    00208
    00215 #if !(OSCL_HAS_GLOBAL_VARIABLE_SUPPORT)
    00216 #ifndef OSCL_HAS_PARTIAL_GLOBAL_VARIABLE_SUPPORT
    00217 #error "ERROR: OSCL_HAS_PARTIAL_GLOBAL_VARIABLE_SUPPORT has to be defined to either 1 or 0."
    00218 #endif
    00219 #endif
    00220
    00224 #if (OSCL_BYTE_ORDER_LITTLE_ENDIAN) && (OSCL_BYTE_ORDER_BIG_ENDIAN)
    00225 #error "ERROR: Multiple selection for OSCL_BYTE_ORDER."
    00226 #endif
    00227
    00233 #ifndef OSCL_HAS_ANSI_STRING_SUPPORT
    00234 #error "ERROR: OSCL_HAS_ANSI_STRING_SUPPORT has to be defined to either 1 or 0."
    00235 #endif
    00236
    00240 #ifndef OSCL_HAS_NATIVE_INT64_TYPE
    00241 #error "ERROR: OSCL_HAS_NATIVE_INT64_TYPE has to be defined to either 1 or 0."
    00242 #endif
    00243
    00247 #ifndef OSCL_HAS_NATIVE_UINT64_TYPE
    00248 #error "ERROR: OSCL_HAS_NATIVE_UINT64_TYPE has to be defined to either 1 or 0."
    00249 #endif
    00250
    00256 #if OSCL_HAS_NATIVE_INT64_TYPE
    00257 #ifndef OSCL_NATIVE_INT64_TYPE
    00258 #error "ERROR: OSCL_NATIVE_INT64_TYPE has to be defined."
    00259 #endif
    00260 #endif
    00261
    00267 #if OSCL_HAS_NATIVE_UINT64_TYPE
    00268 #ifndef OSCL_NATIVE_UINT64_TYPE
    00269 #error "ERROR: OSCL_NATIVE_UINT64_TYPE has to be defined."
    00270 #endif
    00271 #endif
    00272
    00278 #if OSCL_HAS_NATIVE_INT64_TYPE
    00279 #ifndef INT64
    00280 #error "ERROR: INT64(x) has to be defined."
    00281 #endif
    00282 #endif
    00283
    00289 #if OSCL_HAS_NATIVE_UINT64_TYPE
    00290 #ifndef UINT64
    00291 #error "ERROR: UINT64(x) has to be defined."
    00292 #endif
    00293 #endif
    00294
    00300 #if OSCL_HAS_NATIVE_INT64_TYPE
    00301 #ifndef INT64_HILO
    00302 #error "ERROR: INT64_HILO(high,low) has to be defined."
    00303 #endif
    00304 #endif
    00305
    00311 #if OSCL_HAS_NATIVE_UINT64_TYPE
    00312 #ifndef UINT64_HILO
    00313 #error "ERROR: UINT64_HILO(high,low) has to be defined."
    00314 #endif
    00315 #endif
    00316
    00323 #ifndef OSCL_MEMFRAG_PTR_BEFORE_LEN
    00324 #error "ERROR: OSCL_MEMFRAG_PTR_BEFORE_LEN has to be defined to either 0 or 1"
    00325 #endif
    00326
    00332 #ifndef OSCL_HAS_TLS_SUPPORT
    00333 #error "ERROR: OSCL_HAS_TLS_SUPPORT has to be defined to either 1 or 0"
    00334 #endif
    00335
    00343 #ifndef OSCL_TLS_IS_KEYED
    00344 #error "ERROR: OSCL_TLS_IS_KEYED has to be defined to either 1 or 0"
    00345 #endif
    00346
    00347
    00354 #if (OSCL_TLS_IS_KEYED) && !defined(OSCL_TLS_STORE_FUNC)
    00355 #error "ERROR: OSCL_TLS_STORE_FUNC has to be defined"
    00356 #endif
    00357
    00364 #if (OSCL_TLS_IS_KEYED) && !defined(OSCL_TLS_GET_FUNC)
    00365 #error "ERROR: OSCL_TLS_GET_FUNC has to be defined"
    00366 #endif
    00367
    00374 #if (OSCL_TLS_IS_KEYED) && !defined(OSCL_TLS_KEY_CREATE_FUNC)
    00375 #error "ERROR: OSCL_TLS_KEY_CREATE_FUNC has to be defined"
    00376 #endif
    00377
    00384 #if (OSCL_TLS_IS_KEYED) && !defined(OSCL_TLS_KEY_DELETE_FUNC)
    00385 #error "ERROR: OSCL_TLS_KEY_DELETE_FUNC has to be defined"
    00386 #endif
    00387
    00388
    00395 #if (OSCL_HAS_TLS_SUPPORT) && !(OSCL_TLS_IS_KEYED) && !defined(OSCL_TLS_STORE_FUNC)
    00396 #error "ERROR: OSCL_TLS_STORE_FUNC has to be defined"
    00397 #endif
    00398
    00404 #if (OSCL_HAS_TLS_SUPPORT) && !(OSCL_TLS_IS_KEYED) && !defined(OSCL_TLS_GET_FUNC)
    00405 #error "ERROR: OSCL_TLS_GET_FUNC has to be defined"
    00406 #endif
    00407
    00411 #if !defined(OSCL_HAS_BASIC_LOCK )
    00412 #error "ERROR: OSCL_HAS_BASIC_LOCK must be defined to 0 or 1"
    00413 #endif
    00414
    00415
    00425 #if (OSCL_HAS_BASIC_LOCK) && !defined(TOsclBasicLockObject)
    00426 typedef TOsclBasicLockObject __verify__TOsclBasicLockObject__defined__;
    00427 #endif
    00428
    00433 #ifndef OSCL_HAS_PRAGMA_PACK
    00434 #error "ERROR: OSCL_HAS_PRAGMA_PACK must be defined to 0 or 1"
    00435 #endif
    00436
    00439 #endif // OSCLCONFIG_CHECK_H_INCLUDED
    00440
    00441